Bug 1014979 - MySQL 5.1 packaged in RHEL-6 reaches EOL upstream in Dec 2013
MySQL 5.1 packaged in RHEL-6 reaches EOL upstream in Dec 2013
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Jakub Dorňák
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:10 EDT by Tomas Hoger
Modified: 2017-01-11 17:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 15:19:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-10-03 05:10:32 EDT
MySQL 5.1, which is packaged in RHEL-6 as mysql packages, is planned to reach end of life in Dec 2013:

http://www.oracle.com/us/support/library/lifetime-support-technology-069183.pdf

After that date, we will not be able to provide security updates for those packages as upstream refuses to provide any details on security fixes they do upstream.  See bug 843043 for further details.

Similar problem affected RHEL-5 MySQL 5.0 packages and was addressed by introducing MySQL 5.5 packaged as software collection (bug 843043, comment 23).

For RHEL-6, MySQL 5.5 is already available via RHSCL-1:
https://rhn.redhat.com/errata/RHEA-2013-1242.html

However, RHSCL is only available for x86_64, so it does not address the problem for other non-x86_64 RHEL-6 architectures.
Comment 8 Vincent Danen 2015-01-27 16:51:42 EST
More information can be found here:

https://access.redhat.com/articles/183263

Note You need to log in before you can comment on or make changes to this bug.